<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>C-Index</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#canMove--">canMove()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>
<div class="block">Returns true, if the attack board's fields are occupied by at most one
 pawn.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#canTarget-java.lang.String-">canTarget(String)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Move.html#carryOutMove--">carryOutMove()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Move.html" title="class in de.rowlo.tridchess.model.trid">Move</a></dt>
<dd>
<div class="block">Carries out the move on the Board.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#CASTLE">CASTLE</a></span> - Static variable in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>
<div class="block">Type of the Figure.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#CASTLE_BLACK">CASTLE_BLACK</a></span> - Static variable in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">Figure ID.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#CASTLE_WHITE">CASTLE_WHITE</a></span> - Static variable in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">Figure ID.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkBishopRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkBishopRange(Figure, Field)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Starts field range calculations from current field on for bishops.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkCastleRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkCastleRange(Figure, Field)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Starts field range calculations from current field on for castles.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkDownward-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-int-boolean-int-">checkDownward(Figure, ArrayList&lt;Field&gt;, int, int, int, int[], int, boolean, int)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Checks all downward fields in proper order from current board position on
 if they're free to move onto.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkJumps-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int:A-int-">checkJumps(Figure, ArrayList&lt;Field&gt;, int[], int)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Checks all jump destination fields on all z levels relative to current
 board position if they're free to move onto.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkKingQueenRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-int-int-">checkKingQueenRange(Figure, Field, int, int)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Starts field range calculations from current field on for queens and
 kings.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkKnightRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkKnightRange(Figure, Field)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Starts field range calculations from current field on for knights.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkPawnRange-de.rowlo.tridchess.model.Figure-de.rowlo.tridchess.model.Field-">checkPawnRange(Figure, Field)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Starts field range calculations from current field on for pawns.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkStraight-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int:A-int-boolean-int-">checkStraight(Figure, ArrayList&lt;Field&gt;, int, int, int[], int, boolean, int)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Checks next field relative to current board position if it's free to move
 onto it.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkUpDownDiagonalStart-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-boolean-int-">checkUpDownDiagonalStart(Figure, ArrayList&lt;Field&gt;, int, int, int, int[], boolean, int)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkUpDownStraightStart-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int:A-int-boolean-int-">checkUpDownStraightStart(Figure, ArrayList&lt;Field&gt;, int, int, int[], int, boolean, int)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Checks all other z levels away from current board position if they are
 free to switch the level at the start of a move.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html#checkUpward-de.rowlo.tridchess.model.Figure-java.util.ArrayList-int-int-int-int:A-int-boolean-int-">checkUpward(Figure, ArrayList&lt;Field&gt;, int, int, int, int[], int, boolean, int)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/FigureRangeChecking.html" title="class in de.rowlo.tridchess.model.trid">FigureRangeChecking</a></dt>
<dd>
<div class="block">Checks all upward fields in proper order from current board position on if
 they're free to move onto.</div>
</dd>
<dt><a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui"><span class="typeNameLink">ChessUi</span></a> - Class in <a href="../de/rowlo/tridchess/gui/package-summary.html">de.rowlo.tridchess.gui</a></dt>
<dd>
<div class="block">Provides color settings for the chess ui components.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#ChessUi--">ChessUi()</a></span> - Constructor for class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Default constructor.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#ChessUi-java.lang.String-">ChessUi(String)</a></span> - Constructor for class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Constructs a ChessUi for a specific resource file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#clearEverything--">clearEverything()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">Clears all figure lists and fields from figures.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#clearStateLists--">clearStateLists()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>
<div class="block">Clears all information about attackers and Figures being attacked or
 covered as well as information about possible check threads from or to the
 Figure.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/HelpScreen.html#closeHelpScreen--">closeHelpScreen()</a></span> - Static method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/HelpScreen.html" title="class in de.rowlo.tridchess.gui.trid">HelpScreen</a></dt>
<dd>
<div class="block">Hides the help dialog.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/TriDBoard.html#columnNames">columnNames</a></span> - Static variable in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></dt>
<dd>
<div class="block">Default names.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/TriDBoard.html#columnNamesTriD">columnNamesTriD</a></span> - Static variable in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></dt>
<dd>
<div class="block">Default names.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#contains-java.awt.Point-">contains(Point)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#contains-java.awt.Point-">contains(Point)</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Works only on none ghost pins.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#containsForAll-java.awt.Point-">containsForAll(Point)</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Does also work for ghost pins.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/util/ArrayUtils.html#copy-java.util.ArrayList-">copy(ArrayList)</a></span> - Static method in class de.rowlo.tridchess.util.<a href="../de/rowlo/tridchess/util/ArrayUtils.html" title="class in de.rowlo.tridchess.util">ArrayUtils</a></dt>
<dd>
<div class="block">Returns a new ArrayList containing the same elements as list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#createBoardFigures--">createBoardFigures()</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>
<div class="block">
 Creates a mapping of field names to figures for initial figure placement
 on normal chess boards.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/TriDBoard.html#createBoardFigures--">createBoardFigures()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#currentFormationAsProperties--">currentFormationAsProperties()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-2.html">Prev Letter</a></li>
<li><a href="index-4.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-3.html" target="_top">Frames</a></li>
<li><a href="index-3.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
